# MIDI_CFG=-DMIDI_CFG=\"$(HOME)/lib/timidity/timidity.cfg\"

                           PROG = mmlp
                       ALLPROGS = $(PROG)
                  INSTALLBINDIR = /usr/local/bin
                       CCOPTION = -O2 -Olimit 2000
#                        DEFINES = -DDEBUG $(MIDI_CFG)
                    ALLINCLUDES = -I/usr/include
                         CFLAGS = $(CCOPTION) $(DEFINES) $(ALLINCLUDES) \
-DAUDRIV
                        LDFLAGS = -lm -laudio
                             CC = cc
                             RM = rm -fr
                        INSTALL = install -c
                 INSTALLBINFLAG = -m 111 -s

SRCS = mmlp.c code.c audio.c audio_cnv.c token.c play.c textbuff.c \
       surround.c network.c audriv_al.c timer.c
OBJS = ${SRCS:.c=.o}


all:: $(ALLPROGS)

$(PROG): $(OBJS)
	$(CC) $(CFLAGS) -o $(PROG) $(OBJS) $(LDFLAGS)

printau: printau.o audio_cnv.o
	$(CC) $(CFLAGS) -o printau printau.o audio_cnv.o $(LDFLAGS)

install:: $(PROG)
	$(INSTALL) $(INSTALLBINFLAG) $(PROG) $(INSTALLBINDIR)/$(PROG)

install::
	sync

clean::
	$(RM) $(ALLPROGS) a.out mon.out *.o *~ #*#

remake::
	$(RM) $(ALLPROGS)
	make
