#include <stdio.h>
#include <stdlib.h>
#include "audio.h"

void main(int argc, char** argv)
{
    int x;
    char ch;
    int i;
    FILE* fp = stdin;

    if(argc >= 3)
    {
	fprintf(stderr, "usage: print_wave [audio-file]\n");
	exit(1);
    }
    if(argc == 2)
    {
	if((fp = fopen(argv[1], "r")) == NULL)
	{
	    perror(argv[1]);
	    exit(1);
	}
    }

    i = 0;
    while((x = getc(fp)) != EOF)
    {
	ch = (char)x;
	ch = AUDIO_U2C(ch);
	printf("%d %d\n", ++i, ch);
    }

    if(fp != stdin)
	fclose(fp);
    exit(0);
}
